.search-wrapper {
  height: 60px;
  width: 60px;
  border: solid 3px;
  border-radius: 50px;
  display: flex;
  //justify-content: center;
  align-items: center;
  font-size: 24px;
  transition: 0.3s;

  .fa-search {
    font-size: 24px;
    margin: 0 20px 0 10px;
  }

  .search-input {
    height: 100%;
    width: 0;
    font-size: 24px;
    font-weight: 500;
    background: none;
    color: #ee6352;
    border: none;
    outline: 0;
    visibility: hidden;
    transition: 0.3s;
  }

  &:hover, &:focus-within, &.active {
    width: 100%;
    .search-input {
      width: 100% !important;
      visibility: visible;
    }
  }
}

.result {
  margin-top: 10px;

  .list-group-item {
    margin: 5px 0;
    padding: 0;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.05), 0 2px 5px rgba(0,0,0,0.05);
    border: none;
    position: relative;
    transition: ease-in-out 200ms;
    display: grid;
    grid-template-columns: 1fr 68px;

    &:before {
      content: '';
      background: rgba(255, 0, 0, 0.45);
      position: absolute;
      z-index: 1;
      height: 60%;
      width: 4px;
      border-radius: 0 15px 15px 0;
      display: block;
      margin: 0;
      bottom: 50%;
      transform: translateY(50%);
      left: 0;
    }

    &:hover {
      transform: scale(1.02);
      box-shadow: 0 3px 5px rgba(0,0,0,0.15), 0 3px 5px rgba(0,0,0,0.15);
      &:before {
        background: rgba(255, 0, 0, 0.55);
      }
    }

    .content {
      padding: 15px 15px 25px 25px;

      .title {
        font-weight: bold;
        border-bottom: 2px solid rgba(255, 0, 0, 0.45);;
        border-radius: 2px;
        //text-transform: uppercase;
        letter-spacing: 1px;
      }

      .body {
        margin-top: 10px;
        grid-area: c;
      }
    }

    .btn {
      border-radius: 0 5px 5px 0 !important;
      display: flex;
      align-items: center;
      letter-spacing: .5px;
    }
  }
}

.list-group-item-enter { transform: rotateX(-90deg); }
.list-group-item-enter-active { transform: rotateX(0); transition: transform 0.8s cubic-bezier(0.34, 1.56, 0.64, 1); }
.list-group-item-enter-done {  }

//.list-group-item-exit {  }
//.list-group-item-exit-active { transform: translateY(100px); opacity: 0; transition: transform 0.5s cubic-bezier(0.55, 0, 1, 0.45), opacity 0.5s; }
